你的位置:首页 > Java教程

[Java教程]Target runtime Apache Tomcat v6.0 is not defined


 

在工程目录下的.settings文件夹里,打开org.eclipse.wst.common.project.facet.core.

<?<faceted-project>
<runtime name="Apache Tomcat v6.0"/>
<fixed facet="java"/>
<fixed facet="jst.web"/>
<fixed facet="wst.jsdt.web"/>
<installed facet="java" version="1.6"/>
<installed facet="jst.web" version="2.5"/>
<installed facet="wst.jsdt.web" version="1.0"/>
</faceted-project>

第一种方法:

<?<faceted-project>
<runtime name="Apache Tomcat v8.0.33"/>   //修改为自己的tomcat运行名称即可。
<fixed facet="java"/>
<fixed facet="jst.web"/>
<fixed facet="wst.jsdt.web"/>
<installed facet="java" version="1.6"/>
<installed facet="jst.web" version="2.5"/>
<installed facet="wst.jsdt.web" version="1.0"/>
<installed facet="me.spring" version="3.1"/>
</faceted-project>

 

第二种方法:

在Myeclipse2013及以上版本,可以在导入项目时,对进行进行迁移,迁移完毕即可解决上述问题。